<header>
  <div class="nav-block">
    <div class="logo">
      <span>QA</span>
      <span>ENGINE</span>
    </div>
    <div [class.hide-left-menu]="!openNav" class="nav-middle-block">
      <div class="searchbar">
        <input [(ngModel)]="changedValue" (ngModelChange)="filterPosts()" type="text" placeholder="Enter Keywords" />
        <button type="submit" class="fas fa-search"></button>
      </div>
      <nav>
        <ul>
          <li>
            <a [routerLink]="['/']">Home</a>
          </li>
          <li>
            <a href="#">About us<i class="fas fa-arrow-circle-down"></i></a>
          </li>
          <li><a href="#">Blog</a></li>
          <li><a href="#">Term</a></li>
          <li><a href="#">Contact</a></li>
        </ul>
      </nav>
    </div>
    <div [class.hide-left-menu]="!openNav" class="log-reg">
      Login Or Register
    </div>
    <div
      [class.overflow]="!openNav"
      class="hamburger"
      [ngClass]="openNav ? 'open' : ''"
      (click)="showHideNavigation()"
    >
      <div class="bar1"></div>
      <div class="bar2"></div>
      <div class="bar3"></div>
    </div>
  </div>
  <div [class.hide-left-menu]="!openNav" class="left-responsive-nav"></div>
</header>
